BitBag\SyliusCmsPlugin\Entity\FrequentlyAskedQuestion:
    type: mappedSuperclass
    table: bitbag_cms_faq
    id:
        id:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        code:
            column: code
            type: string
            nullable: false
        position:
            column: position
            type: integer
            nullable: false
        enabled:
            column: enabled
            type: boolean
            nullable: false
    manyToMany:
        channels:
            targetEntity: Sylius\Component\Channel\Model\ChannelInterface
            joinTable:
                name: bitbag_cms_faq_channels
                joinColumns:
                    faq_id:
                        referencedColumnName: id
                        onDelete: CASCADE
                inverseJoinColumns:
                    channel_id:
                        referencedColumnName: id
                        onDelete: CASCADE
